%define upstream_name    DBD-XBase
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Module for dealing with XBase files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://www.fi.muni.cz/~adelton/perl/
Source0:    %upstream_name-%upstream_version.tar.gz

# for testsuite:
#Buildrequires:	perl-DBI
BuildArch:  noarch

%description
Package DBD::XBase contains module XBase that can read and write dbf and
dbt/fpt files, as well as a DBI driver DBD::XBase, that allows work with these
files using SQL commands.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%make

%check
%make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %buildroot
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes INSTALL META.yml README eg
%{_bindir}/*
%{perl_vendorlib}/XBase.pm
%dir %{perl_vendorlib}/DBD
%{perl_vendorlib}/DBD/*
%dir %{perl_vendorlib}/XBase
%{perl_vendorlib}/XBase/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 365037
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 09 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 67063
- update to 1.03
- adding missing buildrequires:
- update to 1.01

* Thu Jan 20 2011 jquelin <jquelin> 0.241.0-1.mga1
+ Revision: 26058
- mageia rebuild
- imported package perl-DBD-XBase

